import time
import discord
import discord.types
from dotenv import load_dotenv
import os
import requests
load_dotenv()

class Client(discord.Client):
    async def on_ready(self):
        print("Logged in as", self.user)

    async def on_message(self, message: discord.Message):
        if message.channel.id not in [1156349646965325824, 1299351968443142228] or message.type != discord.MessageType.auto_moderation_action:
            return
        requests.get("https://hlsa.nin0.dev", headers={"Authorization": os.environ["KEY"], "X-Time": str(round(time.time() * 1000))})

client = Client()
client.run(os.environ["TOKEN"])